Package net.shibboleth.shared.spring.util

# Class AnnotationParameterNameDiscoverer

java.lang.Object
org.springframework.core.PrioritizedParameterNameDiscoverer
org.springframework.core.DefaultParameterNameDiscoverer
net.shibboleth.shared.spring.util.AnnotationParameterNameDiscoverer

All Implemented Interfaces:
  `ParameterNameDiscoverer`

public class AnnotationParameterNameDiscoverer extends DefaultParameterNameDiscoverer implements ParameterNameDiscoverer
An implementation of `ParameterNameDiscoverer` that is driven by the `ParameterName` Annotation.

Since:
  5.3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
log.

## Constructor Summary

Constructors
Constructor
Description
`AnnotationParameterNameDiscoverer()`

## Method Summary

Modifier and Type
Method
Description
`private String`
`getMyAnnotation(Annotation[] annotations)`
Given the annotations for each parameter is it one of ours?
`String[]`
`getParameterNames(Constructor<?> ctor)`
`String[]`
`getParameterNames(Method method)`

### Methods inherited from class org.springframework.core.DefaultParameterNameDiscoverer

`getSharedInstance`

### Methods inherited from class org.springframework.core.PrioritizedParameterNameDiscoverer

`addDiscoverer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
log.

## Constructor Details

### AnnotationParameterNameDiscoverer

public AnnotationParameterNameDiscoverer()

## Method Details

### getParameterNames

@Nullable public String[] getParameterNames(@Nonnull Method method)

Specified by:
  `getParameterNames` in interface `ParameterNameDiscoverer`
Overrides:
  `getParameterNames` in class `PrioritizedParameterNameDiscoverer`

### getMyAnnotation

@Nullable private String getMyAnnotation(@Nonnull Annotation[] annotations)
Given the annotations for each parameter is it one of ours?

Parameters:
  `annotations` - the annotations for the parameter
Returns:
  the "name" if one of ours. null otherwise

### getParameterNames

@Nullable public String[] getParameterNames(@Nonnull Constructor<?> ctor)

If we cannot do anything pass to the default discoverer.

Specified by:
  `getParameterNames` in interface `ParameterNameDiscoverer`
Overrides:
  `getParameterNames` in class `PrioritizedParameterNameDiscoverer`